diff --git a/science/kalzium/Makefile b/science/kalzium/Makefile
index 21067c0ad860..dddcc89f4e2b 100644
--- a/science/kalzium/Makefile
+++ b/science/kalzium/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kalzium
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	science education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -16,19 +15,16 @@ BUILD_DEPENDS=	${LOCALBASE}/lib/ocaml/facile/facile.a:math/facile \
 		${LOCALBASE}/libdata/pkgconfig/chemical-mime-data.pc:science/chemical-mime-data
 RUN_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/chemical-mime-data.pc:science/chemical-mime-data
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext gl kde:5 \
-		ocaml:build pkgconfig qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext gl kde:6 \
+		ocaml:build pkgconfig qt:6 tar:xz xorg
 USE_GL=		gl glew glu
-USE_KDE=	auth archive attica bookmarks codecs completion config configwidgets \
-		coreaddons crash doctools emoticons guiaddons i18n \
-		iconthemes itemmodels itemviews jobwidgets js kdelibs4support \
-		khtml kio newstuff notifications parts plotting service solid \
-		sonnet textwidgets unitconversion widgetsaddons windowsystem \
-		xmlgui \
+USE_KDE=	archive attica auth bookmarks codecs completion config \
+		configwidgets coreaddons crash doctools guiaddons i18n \
+		iconthemes itemmodels itemviews jobwidgets kio newstuff \
+		notifications parts plotting service solid sonnet textwidgets \
+		unitconversion widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network opengl printsupport script svg \
-		widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base scxml
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/science/kalzium/distinfo b/science/kalzium/distinfo
index 7f294fc64426..b5e951797679 100644
--- a/science/kalzium/distinfo
+++ b/science/kalzium/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889359
-SHA256 (KDE/release-service/23.08.5/kalzium-23.08.5.tar.xz) = 9bfc5574d6d324e71d16521c058acf82244e6dff1acdfc081117f56dbec06484
-SIZE (KDE/release-service/23.08.5/kalzium-23.08.5.tar.xz) = 24641244
+TIMESTAMP = 1734460345
+SHA256 (KDE/release-service/24.12.0/kalzium-24.12.0.tar.xz) = 99dff6426c31e67c6c6e2774929f23a3980a755be06c6a79772a27079b1f9bc9
+SIZE (KDE/release-service/24.12.0/kalzium-24.12.0.tar.xz) = 22682696
diff --git a/science/kalzium/pkg-plist b/science/kalzium/pkg-plist
index 7ddc691a50f3..6d96ce611615 100644
--- a/science/kalzium/pkg-plist
+++ b/science/kalzium/pkg-plist
@@ -10,9 +10,6 @@ include/libkdeedu/psetables.h
 include/libkdeedu/science_export.h
 include/libkdeedu/spectrum.h
 include/libkdeedu/spectrumparser.h
-lib/libcompoundviewer.so
-lib/libcompoundviewer.so.5
-lib/libcompoundviewer.so.5.0.0
 lib/libscience.so
 lib/libscience.so.5
 lib/libscience.so.5.0.0
@@ -351,7 +348,6 @@ share/icons/hicolor/scalable/apps/kalzium.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/statematter.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/timeline.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/tooltip.svgz
-share/knsrcfiles/kalzium.knsrc
 share/libkdeedu/data/elements.xml
 share/libkdeedu/data/isotopes.xml
 share/libkdeedu/data/spectra.xml
@@ -428,21 +424,6 @@ share/locale/uk/LC_MESSAGES/kalzium.mo
 share/locale/xh/LC_MESSAGES/kalzium.mo
 share/locale/zh_CN/LC_MESSAGES/kalzium.mo
 share/locale/zh_TW/LC_MESSAGES/kalzium.mo
-share/man/ca/man1/kalzium.1.gz
-share/man/da/man1/kalzium.1.gz
-share/man/de/man1/kalzium.1.gz
-share/man/es/man1/kalzium.1.gz
-share/man/et/man1/kalzium.1.gz
-share/man/fr/man1/kalzium.1.gz
-share/man/gl/man1/kalzium.1.gz
-share/man/it/man1/kalzium.1.gz
 share/man/man1/kalzium.1.gz
-share/man/nl/man1/kalzium.1.gz
-share/man/pl/man1/kalzium.1.gz
-share/man/pt/man1/kalzium.1.gz
-share/man/pt_BR/man1/kalzium.1.gz
-share/man/ru/man1/kalzium.1.gz
-share/man/sv/man1/kalzium.1.gz
-share/man/uk/man1/kalzium.1.gz
 share/metainfo/org.kde.kalzium.appdata.xml
-share/qlogging-categories5/kalzium.categories
+share/qlogging-categories6/kalzium.categories
diff --git a/science/step/Makefile b/science/step/Makefile
index 845243871bca..10712cc71c33 100644
--- a/science/step/Makefile
+++ b/science/step/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	step
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	science education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,18 +10,16 @@ LIB_DEPENDS=	libcln.so:math/cln \
 		libgsl.so:math/gsl \
 		libqalculate.so:math/libqalculate
 
-USES=		cmake compiler:c++11-lang desktop-file-utils eigen:3 gettext kde:5 \
-		pkgconfig python qt:5 shared-mime-info shebangfix tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils eigen:3 gettext \
+		kde:6 pkgconfig python qt:6 shared-mime-info shebangfix tar:xz \
+		xorg
 USE_KDE=	attica auth bookmarks codecs completion config configwidgets \
-		coreaddons crash doctools emoticons guiaddons i18n \
-		iconthemes init itemmodels itemviews jobwidgets js \
-		kdelibs4support khtml kio newstuff notifications parts \
-		plotting service solid sonnet textwidgets unitconversion \
-		widgetsaddons windowsystem xmlgui \
+		coreaddons crash doctools guiaddons i18n iconthemes itemmodels \
+		itemviews jobwidgets kio newstuff notifications parts plotting \
+		service solid sonnet textwidgets unitconversion widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network opengl printsupport svg \
-		widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 SHEBANG_FILES=	step/data/extractxml
diff --git a/science/step/distinfo b/science/step/distinfo
index 3c77014047b8..7c8f94746aa2 100644
--- a/science/step/distinfo
+++ b/science/step/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889360
-SHA256 (KDE/release-service/23.08.5/step-23.08.5.tar.xz) = b5db4e31c9c5d50d61c6c5664e73e902851de1b3867926c99f1b47252dfd4e51
-SIZE (KDE/release-service/23.08.5/step-23.08.5.tar.xz) = 996012
+TIMESTAMP = 1734460346
+SHA256 (KDE/release-service/24.12.0/step-24.12.0.tar.xz) = 6594a0e02b5f9775c340638c132092e76c7d8f16fbd94d6ea6303fa70a95fe5a
+SIZE (KDE/release-service/24.12.0/step-24.12.0.tar.xz) = 988548
diff --git a/science/step/pkg-plist b/science/step/pkg-plist
index 03a12b88e910..f0365a2c6bf1 100644
--- a/science/step/pkg-plist
+++ b/science/step/pkg-plist
@@ -97,6 +97,8 @@ share/locale/fr/LC_MESSAGES/step_qt.qm
 share/locale/ga/LC_MESSAGES/step.mo
 share/locale/ga/LC_MESSAGES/step_qt.qm
 share/locale/gl/LC_MESSAGES/step.mo
+share/locale/gl/LC_MESSAGES/step_example_files.mo
+share/locale/gl/LC_MESSAGES/step_objinfo_files.mo
 share/locale/gl/LC_MESSAGES/step_qt.qm
 share/locale/gu/LC_MESSAGES/step.mo
 share/locale/gu/LC_MESSAGES/step_qt.qm
@@ -454,6 +456,23 @@ share/mime/packages/org.kde.step.xml
 %%DATADIR%%/examples/fr/springs.step
 %%DATADIR%%/examples/fr/wave.step
 %%DATADIR%%/examples/gas.step
+%%DATADIR%%/examples/gl/brownian.step
+%%DATADIR%%/examples/gl/doublependulum.step
+%%DATADIR%%/examples/gl/eightpendula.step
+%%DATADIR%%/examples/gl/first.step
+%%DATADIR%%/examples/gl/fourpendula.step
+%%DATADIR%%/examples/gl/gas.step
+%%DATADIR%%/examples/gl/graph.step
+%%DATADIR%%/examples/gl/liquid.step
+%%DATADIR%%/examples/gl/lissajous.step
+%%DATADIR%%/examples/gl/motor.step
+%%DATADIR%%/examples/gl/motor1.step
+%%DATADIR%%/examples/gl/note.step
+%%DATADIR%%/examples/gl/resonance.step
+%%DATADIR%%/examples/gl/softbody.step
+%%DATADIR%%/examples/gl/solar.step
+%%DATADIR%%/examples/gl/springs.step
+%%DATADIR%%/examples/gl/wave.step
 %%DATADIR%%/examples/graph.step
 %%DATADIR%%/examples/ia/brownian.step
 %%DATADIR%%/examples/ia/doublependulum.step
@@ -1046,6 +1065,25 @@ share/mime/packages/org.kde.step.xml
 %%DATADIR%%/objinfo/l10n/fr/spring.html
 %%DATADIR%%/objinfo/l10n/fr/weightforce.html
 %%DATADIR%%/objinfo/l10n/fr/world.html
+%%DATADIR%%/objinfo/l10n/gl/anchor.html
+%%DATADIR%%/objinfo/l10n/gl/box.html
+%%DATADIR%%/objinfo/l10n/gl/chargedparticle.html
+%%DATADIR%%/objinfo/l10n/gl/coulombforce.html
+%%DATADIR%%/objinfo/l10n/gl/disk.html
+%%DATADIR%%/objinfo/l10n/gl/gas.html
+%%DATADIR%%/objinfo/l10n/gl/gasljforce.html
+%%DATADIR%%/objinfo/l10n/gl/gasparticle.html
+%%DATADIR%%/objinfo/l10n/gl/gravitationforce.html
+%%DATADIR%%/objinfo/l10n/gl/linearmotor.html
+%%DATADIR%%/objinfo/l10n/gl/meter.html
+%%DATADIR%%/objinfo/l10n/gl/note.html
+%%DATADIR%%/objinfo/l10n/gl/particle.html
+%%DATADIR%%/objinfo/l10n/gl/pin.html
+%%DATADIR%%/objinfo/l10n/gl/polygon.html
+%%DATADIR%%/objinfo/l10n/gl/softbody.html
+%%DATADIR%%/objinfo/l10n/gl/spring.html
+%%DATADIR%%/objinfo/l10n/gl/weightforce.html
+%%DATADIR%%/objinfo/l10n/gl/world.html
 %%DATADIR%%/objinfo/l10n/ia/anchor.html
 %%DATADIR%%/objinfo/l10n/ia/box.html
 %%DATADIR%%/objinfo/l10n/ia/chargedparticle.html
@@ -1487,6 +1525,11 @@ share/mime/packages/org.kde.step.xml
 %%DATADIR%%/tutorials/fr/tutorial3.step
 %%DATADIR%%/tutorials/fr/tutorial4.step
 %%DATADIR%%/tutorials/fr/tutorial5.step
+%%DATADIR%%/tutorials/gl/tutorial1.step
+%%DATADIR%%/tutorials/gl/tutorial2.step
+%%DATADIR%%/tutorials/gl/tutorial3.step
+%%DATADIR%%/tutorials/gl/tutorial4.step
+%%DATADIR%%/tutorials/gl/tutorial5.step
 %%DATADIR%%/tutorials/ia/tutorial1.step
 %%DATADIR%%/tutorials/ia/tutorial2.step
 %%DATADIR%%/tutorials/ia/tutorial3.step
diff --git a/security/Makefile b/security/Makefile
index 5b94fa9a200d..5cfd261889ea 100644
--- a/security/Makefile
+++ b/security/Makefile
@@ -853,9 +853,6 @@
     SUBDIR += pkcs11-tools
     SUBDIR += pkesh
     SUBDIR += pks
-    SUBDIR += plasma5-kscreenlocker
-    SUBDIR += plasma5-ksshaskpass
-    SUBDIR += plasma5-kwallet-pam
     SUBDIR += plasma6-kscreenlocker
     SUBDIR += plasma6-ksshaskpass
     SUBDIR += plasma6-kwallet-pam
diff --git a/security/keysmith/Makefile b/security/keysmith/Makefile
index 6b16b6995330..f0bdaced89f5 100644
--- a/security/keysmith/Makefile
+++ b/security/keysmith/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	keysmith
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	security kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -12,10 +11,11 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 LIB_DEPENDS=	libsodium.so:security/libsodium
 
-USES=		cmake desktop-file-utils gettext kde:5 pkgconfig qt:5 tar:xz xorg
-USE_KDE=	dbusaddons ecm:build i18n kirigami2 windowsystem
-USE_QT=		concurrent core dbus declarative gui network quickcontrols2 svg widgets \
-		buildtools:build qmake:build
+USES=		cmake desktop-file-utils gettext kde:6 pkgconfig qt:6 tar:xz \
+		xorg
+USE_KDE=	dbusaddons i18n kirigami2 qqc2-desktop-style windowsystem \
+		ecm:build
+USE_QT=		5compat base
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/security/keysmith/distinfo b/security/keysmith/distinfo
index bc6aeb6ce0d3..8c81327661c6 100644
--- a/security/keysmith/distinfo
+++ b/security/keysmith/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889454
-SHA256 (KDE/release-service/23.08.5/keysmith-23.08.5.tar.xz) = 2f8c73ec4a73ae56508d1014957a7083788fa8b5eaa8c467f86d0ebf3b0a3d5a
-SIZE (KDE/release-service/23.08.5/keysmith-23.08.5.tar.xz) = 163456
+TIMESTAMP = 1734460348
+SHA256 (KDE/release-service/24.12.0/keysmith-24.12.0.tar.xz) = e57b8c0d41783c6dd9fef3f5edf9a78dcf63f19acb988b4ec7b5b0fd2548a325
+SIZE (KDE/release-service/24.12.0/keysmith-24.12.0.tar.xz) = 172432
diff --git a/security/keysmith/pkg-plist b/security/keysmith/pkg-plist
index 959874606348..621e5a8122cb 100644
--- a/security/keysmith/pkg-plist
+++ b/security/keysmith/pkg-plist
@@ -1,17 +1,20 @@
 bin/keysmith
 share/applications/org.kde.keysmith.desktop
 share/icons/hicolor/scalable/apps/keysmith.svg
+share/locale/ast/LC_MESSAGES/keysmith.mo
 share/locale/ca/LC_MESSAGES/keysmith.mo
 share/locale/ca@valencia/LC_MESSAGES/keysmith.mo
 share/locale/cs/LC_MESSAGES/keysmith.mo
 share/locale/de/LC_MESSAGES/keysmith.mo
 share/locale/en_GB/LC_MESSAGES/keysmith.mo
+share/locale/eo/LC_MESSAGES/keysmith.mo
 share/locale/es/LC_MESSAGES/keysmith.mo
 share/locale/et/LC_MESSAGES/keysmith.mo
 share/locale/eu/LC_MESSAGES/keysmith.mo
 share/locale/fi/LC_MESSAGES/keysmith.mo
 share/locale/fr/LC_MESSAGES/keysmith.mo
 share/locale/gl/LC_MESSAGES/keysmith.mo
+share/locale/he/LC_MESSAGES/keysmith.mo
 share/locale/hu/LC_MESSAGES/keysmith.mo
 share/locale/ia/LC_MESSAGES/keysmith.mo
 share/locale/it/LC_MESSAGES/keysmith.mo
diff --git a/security/kgpg/Makefile b/security/kgpg/Makefile
index b114bd5ad2d6..8f9142211a38 100644
--- a/security/kgpg/Makefile
+++ b/security/kgpg/Makefile
@@ -8,16 +8,16 @@ WWW=		https://utils.kde.org/projects/kgpg/
 
 RUN_DEPENDS=	gpg2:security/gnupg
 
-USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext grantlee:5 \
-		kde:5 pkgconfig qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext kde:6 \
+		pkgconfig qt:6 tar:xz xorg
 USE_KDE=	akonadi akonadicontacts archive auth bookmarks codecs \
 		completion config configwidgets contacts coreaddons crash \
-		dbusaddons doctools grantleetheme i18n iconthemes itemmodels itemviews \
-		jobwidgets kio notifications service solid sonnet textwidgets \
-		widgetsaddons windowsystem xmlgui \
+		dbusaddons doctools grantleetheme i18n iconthemes itemmodels \
+		itemviews jobwidgets kio notifications service solid sonnet \
+		statusnotifieritem textwidgets widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/security/kgpg/distinfo b/security/kgpg/distinfo
index a4de07a2e6f5..3fe44978bd12 100644
--- a/security/kgpg/distinfo
+++ b/security/kgpg/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889454
-SHA256 (KDE/release-service/23.08.5/kgpg-23.08.5.tar.xz) = 382c912394ee05409eb5bdf8961fc47a90dea45976e2a164fddced54c90b8592
-SIZE (KDE/release-service/23.08.5/kgpg-23.08.5.tar.xz) = 3063592
+TIMESTAMP = 1734460350
+SHA256 (KDE/release-service/24.12.0/kgpg-24.12.0.tar.xz) = a4005c4ab6505c80b7d29e1b507161e98b8c4134300badda00ef7c114af0ebc2
+SIZE (KDE/release-service/24.12.0/kgpg-24.12.0.tar.xz) = 3032072
diff --git a/security/kgpg/pkg-plist b/security/kgpg/pkg-plist
index f1e66eabbc0f..04015bca58a6 100644
--- a/security/kgpg/pkg-plist
+++ b/security/kgpg/pkg-plist
@@ -43,13 +43,11 @@ share/icons/hicolor/scalable/apps/kgpg.svg
 share/icons/hicolor/scalable/status/key-group.svgz
 share/icons/hicolor/scalable/status/key-pair.svgz
 share/icons/hicolor/scalable/status/key-single.svgz
-%%DATADIR%%/tips
 share/kio/servicemenus/kgpg_encryptfile.desktop
 share/kio/servicemenus/kgpg_encryptfolder.desktop
 share/kio/servicemenus/kgpg_viewdecrypted.desktop
-share/kxmlgui5/kgpg/keysmanager.rc
-share/kxmlgui5/kgpg/kgpgeditor.rc
 share/locale/ar/LC_MESSAGES/kgpg.mo
+share/locale/ast/LC_MESSAGES/kgpg.mo
 share/locale/be/LC_MESSAGES/kgpg.mo
 share/locale/bg/LC_MESSAGES/kgpg.mo
 share/locale/br/LC_MESSAGES/kgpg.mo
@@ -118,4 +116,4 @@ share/locale/uk/LC_MESSAGES/kgpg.mo
 share/locale/zh_CN/LC_MESSAGES/kgpg.mo
 share/locale/zh_TW/LC_MESSAGES/kgpg.mo
 share/metainfo/org.kde.kgpg.appdata.xml
-share/qlogging-categories5/kgpg.categories
+share/qlogging-categories6/kgpg.categories
diff --git a/security/kleopatra/Makefile b/security/kleopatra/Makefile
index 115b49ab4ca9..a5e8b5cdba50 100644
--- a/security/kleopatra/Makefile
+++ b/security/kleopatra/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kleopatra
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	3
 CATEGORIES=	security kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -12,17 +11,18 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpgme.so:security/gpgme \
 		libgpg-error.so:security/libgpg-error \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		shared-mime-info qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 shared-mime-info tar:xz xorg
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
-		doctools i18n iconthemes itemmodels kcmutils notifications \
-		service sonnet textwidgets widgetsaddons windowsystem xmlgui \
-		libkleo mime \
+		doctools i18n iconthemes itemmodels kcmutils libkleo mime \
+		mimetreeparser notifications service sonnet statusnotifieritem \
+		textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		core dbus gui network printsupport testlib widgets xml \
-		buildtools:build qmake:build
+# KDE Pim
+USE_KDE+=	akonadimime identitymanagement mailtransport
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/security/kleopatra/distinfo b/security/kleopatra/distinfo
index d3d233a0ab9f..5a764fce087b 100644
--- a/security/kleopatra/distinfo
+++ b/security/kleopatra/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889452
-SHA256 (KDE/release-service/23.08.5/kleopatra-23.08.5.tar.xz) = a9c416599ed3763148fe8305d220b5950043b3c7ae12ffd2a960196c65dbf1a6
-SIZE (KDE/release-service/23.08.5/kleopatra-23.08.5.tar.xz) = 2725800
+TIMESTAMP = 1734460352
+SHA256 (KDE/release-service/24.12.0/kleopatra-24.12.0.tar.xz) = 357c2ee2331812a9f0d004725526479327ba293dcc2eb4ce752f66e13a5e0045
+SIZE (KDE/release-service/24.12.0/kleopatra-24.12.0.tar.xz) = 2785572
diff --git a/security/kleopatra/pkg-plist b/security/kleopatra/pkg-plist
index 1149a4fabd6d..78b218d18ce2 100644
--- a/security/kleopatra/pkg-plist
+++ b/security/kleopatra/pkg-plist
@@ -1,36 +1,37 @@
 bin/kleopatra
 bin/kwatchgnupg
-lib/libkleopatraclientcore.so
+etc/xdg/kleopatradebugcommandsrc
 lib/libkleopatraclientcore.so.1
 lib/libkleopatraclientcore.so.1.3.0
-lib/libkleopatraclientgui.so
 lib/libkleopatraclientgui.so.1
 lib/libkleopatraclientgui.so.1.3.0
-%%QT_PLUGINDIR%%/pim5/kcms/kleopatra/kleopatra_config_gnupgsystem.so
+%%QT_PLUGINDIR%%/pim6/kcms/kleopatra/kleopatra_config_gnupgsystem.so
 share/applications/kleopatra_import.desktop
 share/applications/org.kde.kleopatra.desktop
+share/applications/org.kde.kwatchgnupg.desktop
 share/icons/hicolor/128x128/apps/kleopatra.png
+share/icons/hicolor/128x128/apps/org.kde.kwatchgnupg.png
 share/icons/hicolor/16x16/apps/kleopatra.png
+share/icons/hicolor/16x16/apps/org.kde.kwatchgnupg.png
 share/icons/hicolor/22x22/apps/kleopatra.png
+share/icons/hicolor/22x22/apps/org.kde.kwatchgnupg.png
 share/icons/hicolor/256x256/apps/kleopatra.png
+share/icons/hicolor/256x256/apps/org.kde.kwatchgnupg.png
 share/icons/hicolor/32x32/apps/kleopatra.png
+share/icons/hicolor/32x32/apps/org.kde.kwatchgnupg.png
 share/icons/hicolor/48x48/apps/kleopatra.png
 share/icons/hicolor/64x64/apps/kleopatra.png
-share/kconf_update/kleopatra-15.08-kickoff.sh
-share/kconf_update/kleopatra.upd
+share/icons/hicolor/64x64/apps/org.kde.kwatchgnupg.png
+share/icons/hicolor/scalable/apps/org.kde.kwatchgnupg.svg
 share/kio/servicemenus/kleopatra_decryptverifyfiles.desktop
 share/kio/servicemenus/kleopatra_decryptverifyfolders.desktop
 share/kio/servicemenus/kleopatra_signencryptfiles.desktop
 share/kio/servicemenus/kleopatra_signencryptfolders.desktop
-%%DATADIR%%/pics/kleopatra_splashscreen.png
-%%DATADIR%%/pics/kleopatra_splashscreen.svgz
-%%DATADIR%%/pics/kleopatra_wizard.png
-%%DATADIR%%/pics/kleopatra_wizard.svgz
-share/kwatchgnupg/pics/kwatchgnupg.png
-share/kwatchgnupg/pics/kwatchgnupg2.png
 share/locale/af/LC_MESSAGES/kleopatra.mo
 share/locale/ar/LC_MESSAGES/kleopatra.mo
 share/locale/ar/LC_MESSAGES/kwatchgnupg.mo
+share/locale/ast/LC_MESSAGES/kleopatra.mo
+share/locale/ast/LC_MESSAGES/kwatchgnupg.mo
 share/locale/be/LC_MESSAGES/kleopatra.mo
 share/locale/be/LC_MESSAGES/kwatchgnupg.mo
 share/locale/bg/LC_MESSAGES/kleopatra.mo
@@ -76,6 +77,7 @@ share/locale/ga/LC_MESSAGES/kwatchgnupg.mo
 share/locale/gl/LC_MESSAGES/kleopatra.mo
 share/locale/gl/LC_MESSAGES/kwatchgnupg.mo
 share/locale/he/LC_MESSAGES/kleopatra.mo
+share/locale/he/LC_MESSAGES/kwatchgnupg.mo
 share/locale/hi/LC_MESSAGES/kleopatra.mo
 share/locale/hi/LC_MESSAGES/kwatchgnupg.mo
 share/locale/hne/LC_MESSAGES/kleopatra.mo
@@ -165,5 +167,6 @@ share/locale/zh_TW/LC_MESSAGES/kleopatra.mo
 share/locale/zh_TW/LC_MESSAGES/kwatchgnupg.mo
 share/metainfo/org.kde.kleopatra.appdata.xml
 share/mime/packages/application-vnd-kde-kleopatra.xml
-share/qlogging-categories5/kleopatra.categories
-share/qlogging-categories5/kleopatra.renamecategories
+share/mime/packages/kleopatra-mime.xml
+share/qlogging-categories6/kleopatra.categories
+share/qlogging-categories6/kleopatra.renamecategories
diff --git a/security/kpkpass/Makefile b/security/kpkpass/Makefile
index 2b12d79b4f65..36c2e28945cf 100644
--- a/security/kpkpass/Makefile
+++ b/security/kpkpass/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Library to deal with Apple Wallet pass files
 WWW=		https://www.kde.org/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 \
-		shared-mime-info tar:xz
-USE_KDE=	archive ecm:build
-USE_QT=		core gui testlib \
-		buildtools:build qmake:build
-
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 shared-mime-info \
+		tar:xz
+USE_KDE=	archive \
+		ecm:build
+USE_QT=		base
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
 
 OPTIONS_DEFINE=	DOCS
diff --git a/security/kpkpass/distinfo b/security/kpkpass/distinfo
index d33164914571..b44d330cf93d 100644
--- a/security/kpkpass/distinfo
+++ b/security/kpkpass/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889451
-SHA256 (KDE/release-service/23.08.5/kpkpass-23.08.5.tar.xz) = d69e60bbb85aca3de1036735a17ef52abcd54470b21f1a97f45f7f40fc7cdab1
-SIZE (KDE/release-service/23.08.5/kpkpass-23.08.5.tar.xz) = 29416
+TIMESTAMP = 1734460353
+SHA256 (KDE/release-service/24.12.0/kpkpass-24.12.0.tar.xz) = 803f2a222e844f09b3ac68f0ee2c4032d2a3694c60b1188a9c5527e64e26c24b
+SIZE (KDE/release-service/24.12.0/kpkpass-24.12.0.tar.xz) = 29480
diff --git a/security/kpkpass/pkg-plist b/security/kpkpass/pkg-plist
index 946302a3414a..2a9900509815 100644
--- a/security/kpkpass/pkg-plist
+++ b/security/kpkpass/pkg-plist
@@ -1,24 +1,20 @@
-include/KPim5/KPkPass/Barcode
-include/KPim5/KPkPass/BoardingPass
-include/KPim5/KPkPass/Field
-include/KPim5/KPkPass/Location
-include/KPim5/KPkPass/Pass
-include/KPim5/KPkPass/barcode.h
-include/KPim5/KPkPass/boardingpass.h
-include/KPim5/KPkPass/field.h
-include/KPim5/KPkPass/kpkpass_export.h
-include/KPim5/KPkPass/kpkpass_version.h
-include/KPim5/KPkPass/location.h
-include/KPim5/KPkPass/pass.h
-lib/cmake/KPim5PkPass/KPim5PkPassConfig.cmake
-lib/cmake/KPim5PkPass/KPim5PkPassConfigVersion.cmake
-lib/cmake/KPim5PkPass/KPim5PkPassTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5PkPass/KPim5PkPassTargets.cmake
-lib/cmake/KPimPkPass/KPim5PkPassTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPimPkPass/KPim5PkPassTargets.cmake
-lib/cmake/KPimPkPass/KPimPkPassConfig.cmake
-lib/cmake/KPimPkPass/KPimPkPassConfigVersion.cmake
-lib/libKPim5PkPass.so
-lib/libKPim5PkPass.so.5
-lib/libKPim5PkPass.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-share/qlogging-categories5/org_kde_kpkpass.categories
+include/KPim6/KPkPass/Barcode
+include/KPim6/KPkPass/BoardingPass
+include/KPim6/KPkPass/Field
+include/KPim6/KPkPass/Location
+include/KPim6/KPkPass/Pass
+include/KPim6/KPkPass/barcode.h
+include/KPim6/KPkPass/boardingpass.h
+include/KPim6/KPkPass/field.h
+include/KPim6/KPkPass/kpkpass_export.h
+include/KPim6/KPkPass/kpkpass_version.h
+include/KPim6/KPkPass/location.h
+include/KPim6/KPkPass/pass.h
+lib/cmake/KPim6PkPass/KPim6PkPassConfig.cmake
+lib/cmake/KPim6PkPass/KPim6PkPassConfigVersion.cmake
+lib/cmake/KPim6PkPass/KPim6PkPassTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6PkPass/KPim6PkPassTargets.cmake
+lib/libKPim6PkPass.so
+lib/libKPim6PkPass.so.6
+lib/libKPim6PkPass.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/qlogging-categories6/org_kde_kpkpass.categories
diff --git a/security/kwalletmanager/Makefile b/security/kwalletmanager/Makefile
index ef288c093645..89a1f7a46d7a 100644
--- a/security/kwalletmanager/Makefile
+++ b/security/kwalletmanager/Makefile
@@ -6,16 +6,14 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Password manager for KDE
 WWW=		https://utils.kde.org/projects/kwalletmanager/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	archive auth codecs config configwidgets coreaddons crash \
-		dbusaddons doctools emoticons i18n iconthemes init \
-		itemmodels itemviews kcmutils kdelibs4support kio \
-		jobwidgets notifications service wallet widgetsaddons \
-		windowsystem xmlgui \
+		dbusaddons doctools i18n iconthemes itemmodels itemviews \
+		jobwidgets kcmutils kio notifications service \
+		statusnotifieritem wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/security/kwalletmanager/distinfo b/security/kwalletmanager/distinfo
index b10a93db7f86..2e8801032ff1 100644
--- a/security/kwalletmanager/distinfo
+++ b/security/kwalletmanager/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889453
-SHA256 (KDE/release-service/23.08.5/kwalletmanager-23.08.5.tar.xz) = 391f8ac850719a60aac492b528de14c42e3a9121ff5cb47a5343c8623f9685b8
-SIZE (KDE/release-service/23.08.5/kwalletmanager-23.08.5.tar.xz) = 853312
+TIMESTAMP = 1734460355
+SHA256 (KDE/release-service/24.12.0/kwalletmanager-24.12.0.tar.xz) = 5c2beeaadb9efbcbb9ebff8945a57d5806cccad8e78a8514f578253871449596
+SIZE (KDE/release-service/24.12.0/kwalletmanager-24.12.0.tar.xz) = 1048876
diff --git a/security/kwalletmanager/pkg-plist b/security/kwalletmanager/pkg-plist
index 29691beccb03..c706c7abe750 100644
--- a/security/kwalletmanager/pkg-plist
+++ b/security/kwalletmanager/pkg-plist
@@ -1,9 +1,9 @@
 bin/kwalletmanager5
-lib/libexec/kauth/kcm_kwallet_helper5
+lib/libexec/kf6/kauth/kcm_kwallet_helper5
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_kwallet5.so
 share/applications/kwalletmanager5-kwalletd.desktop
-share/applications/org.kde.kwalletmanager5.desktop
-share/dbus-1/services/org.kde.kwalletmanager5.service
+share/applications/org.kde.kwalletmanager.desktop
+share/dbus-1/services/org.kde.kwalletmanager.service
 share/dbus-1/system-services/org.kde.kcontrol.kcmkwallet5.service
 share/dbus-1/system.d/org.kde.kcontrol.kcmkwallet5.conf
 share/icons/hicolor/128x128/apps/kwalletmanager.png
@@ -19,9 +19,10 @@ share/icons/hicolor/48x48/apps/kwalletmanager.png
 share/icons/hicolor/48x48/apps/kwalletmanager2.png
 share/icons/hicolor/64x64/apps/kwalletmanager.png
 share/icons/hicolor/64x64/apps/kwalletmanager2.png
-share/kservices5/kwalletmanager5_show.desktop
 share/locale/ar/LC_MESSAGES/kcmkwallet.mo
 share/locale/ar/LC_MESSAGES/kwalletmanager.mo
+share/locale/ast/LC_MESSAGES/kcmkwallet.mo
+share/locale/ast/LC_MESSAGES/kwalletmanager.mo
 share/locale/az/LC_MESSAGES/kcmkwallet.mo
 share/locale/az/LC_MESSAGES/kwalletmanager.mo
 share/locale/be/LC_MESSAGES/kcmkwallet.mo
@@ -66,6 +67,8 @@ share/locale/ga/LC_MESSAGES/kcmkwallet.mo
 share/locale/ga/LC_MESSAGES/kwalletmanager.mo
 share/locale/gl/LC_MESSAGES/kcmkwallet.mo
 share/locale/gl/LC_MESSAGES/kwalletmanager.mo
+share/locale/he/LC_MESSAGES/kcmkwallet.mo
+share/locale/he/LC_MESSAGES/kwalletmanager.mo
 share/locale/hi/LC_MESSAGES/kcmkwallet.mo
 share/locale/hi/LC_MESSAGES/kwalletmanager.mo
 share/locale/hne/LC_MESSAGES/kcmkwallet.mo
@@ -172,4 +175,4 @@ share/locale/zh_TW/LC_MESSAGES/kcmkwallet.mo
 share/locale/zh_TW/LC_MESSAGES/kwalletmanager.mo
 share/metainfo/org.kde.kwalletmanager5.appdata.xml
 share/polkit-1/actions/org.kde.kcontrol.kcmkwallet5.policy
-share/qlogging-categories5/kwalletmanager.categories
+share/qlogging-categories6/kwalletmanager.categories
diff --git a/security/libkleo/Makefile b/security/libkleo/Makefile
index e0dcd879a58a..10b3a01e7a07 100644
--- a/security/libkleo/Makefile
+++ b/security/libkleo/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	libkleo
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	security kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,16 +10,15 @@ BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
-		libqgpgme.so:security/gpgme-qt@qt5 \
+		libqgpgmeqt6.so:security/gpgme-qt@qt6 \
 		libgpgmepp.so:security/gpgme-cpp
 RUN_DEPENDS=	${LOCALBASE}/bin/gmd5sum:sysutils/coreutils
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
 		itemmodels pimtextedit widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		core gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 _CORETOOLS=	md5sum sha1sum sha256sum sha512sum
 
diff --git a/security/libkleo/distinfo b/security/libkleo/distinfo
index 5ab522cea469..d59e7d178ed1 100644
--- a/security/libkleo/distinfo
+++ b/security/libkleo/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889453
-SHA256 (KDE/release-service/23.08.5/libkleo-23.08.5.tar.xz) = 4330d3e4b70cf5f8d7b341b665a63b47f02e12270946ce6991971315298c4625
-SIZE (KDE/release-service/23.08.5/libkleo-23.08.5.tar.xz) = 566004
+TIMESTAMP = 1734460357
+SHA256 (KDE/release-service/24.12.0/libkleo-24.12.0.tar.xz) = f916785386e87bc9381cc9a4ff7502a74fc7e30eb1d6e82f9c44ed4bae9f1077
+SIZE (KDE/release-service/24.12.0/libkleo-24.12.0.tar.xz) = 638100
